Bug 46091 - join fails if memberOf is activated and "univention-ldap-overlay-memberof" is not installed
join fails if memberOf is activated and "univention-ldap-overlay-memberof" is...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Join (univention-join)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-4
Assigned To: Erik Damrose
Philipp Hahn
:
Depends on: 46953
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-19 17:24 CET by Johannes Keiser
Modified: 2018-08-02 14:03 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.103
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2018052821002141, 2018011621000495
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Keiser univentionstaff 2018-01-19 17:24:21 CET
Version: 4.2-3 errata262 (Lesum)

Domain setup (this might take a while): The OpenLDAP extension memberOf is activated on the UCS master (UCR variable ldap/overlay/memberof is true). In order to join this system
successfully the package "univention-ldap-overlay-memberof" has to be installed.
Comment 1 Philipp Hahn univentionstaff 2018-04-20 18:22:48 CEST
This happened in my UCS Technical Training Task#10198 as I tried to join a UCS-4.2-3 backup to my UCS-4.3-0 master. The current UCS-4.2-3 DVD does not have that package and/or does not install it by default.
We should create a new UCS-4.2-4 DVD where that is fixed.
Comment 2 Philipp Hahn univentionstaff 2018-05-04 16:24:14 CEST
Only makes sense if fixed for a UCS release update - otherwise a fixed version will not get on the DVD.
Comment 3 Erik Damrose univentionstaff 2018-05-07 15:11:22 CEST
This was fixed for UCS 4.2-3 with Bug #44448 and 4.2-3e252
The fix is already in UCS 4.3-0

univention-ldap-overlay-memberof is in the 4.2-3 trigger list, so the package should be available on the DVD.

It looks like this will be fixed by simply providing an updated DVD with UCS 4.2-4. Waiting for bug #46953 for testing.
Comment 4 Erik Damrose univentionstaff 2018-05-14 14:10:29 CEST
c93f8a35 Add package univention-ldap-overlay-memberof to DVD

Package: univention-dvd
Version: 2.0.0-16A~4.2.0.201805141042
Branch: ucs_4.2-0
Scope: ucs4.2-4

1ba7771 changelog

ucs_4.2-4-20180514-104810-dvd-amd64.iso

(Already works in UCS 4.3-0 because u-ldap-overlay-memberof is a dependency of u-ldap-server since 6cd9a40f73d4f7c230023eb5e0d7793002194a89 )

Tested: Install DC slave to a DC master with memberof installed.
Comment 5 Philipp Hahn univentionstaff 2018-05-14 15:55:07 CEST
OK: $ isoinfo -R -f -i ucs_4.2-4-latest-amd64.iso | grep memberof
OK: c93f8a35
FIXED: 1ba7771 -> [4.2-4] d40e75e969 Bug #46091: memberOf changelog
OK: Installation of UCS-4.2-4 Backup to to UCS-4.3-0 Master with join during install
Comment 6 Erik Damrose univentionstaff 2018-05-14 21:33:23 CEST
To make the package easily available for self created appliances, i added the package to the download-packages script in system setup.

12d9959d Add ldap-overlay-memberof to the download-packages script

Package: univention-system-setup
Version: 10.0.11-4A~4.2.0.201805142119
Branch: ucs_4.2-0
Scope: ucs4.2-4
Comment 7 Philipp Hahn univentionstaff 2018-05-15 10:47:54 CEST
OK: 12d9959d
OK: univention-system-setup 10.0.11-4
OK: isoinfo -fRi isotests/ucs_4.2-4-latest-amd64.iso|grep univention-system-setup
OK: Appliance Mode
Comment 8 Erik Damrose univentionstaff 2018-05-15 15:56:53 CEST
UCS 4.2-4 has been released.
Comment 9 Johannes Keiser univentionstaff 2018-08-02 14:03:31 CEST
Reported again: Version: 4.2-3 errata52 (Lesum)
Same as Comment #0